Skip to main content
GET
/
resource-usage
/
{resource_type}
List usage counts for all resources of a type
curl --request GET \
  --url https://api.open.cx/resource-usage/{resource_type} \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "resource_id": "<string>",
      "session_count": 123,
      "applied_sessions": 123,
      "applied_replies": 123,
      "available_sessions": 123,
      "available_replies": 123,
      "handoff_count": 123,
      "first_used_at": "<string>",
      "last_used_at": "<string>"
    }
  ],
  "next": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

resource_type
enum<string>
required

The kind of AI resource to look up: action (a tool the AI can call), instruction (an AI instruction/behavior), or knowledge (a knowledge base item).

Available options:
action,
instruction,
knowledge

Query Parameters

cursor
string

Opaque pagination cursor from a previous next

limit
integer
default:50
Required range: 1 <= x <= 250

Response

Default Response

items
object[]
required
next
string | null
required